package obfssh

import (
	"golang.org/x/crypto/ssh"
)

var termiosMap = map[uint8]uint32{
	ssh.VINTR:    0,
	ssh.VQUIT:    1,
	ssh.VERASE:   2,
	ssh.VKILL:    3,
	ssh.VEOF:     4,
	ssh.VSTART:   8,
	ssh.VSTOP:    9,
	ssh.VSUSP:    10,
	ssh.VEOL:     11,
	ssh.VREPRINT: 12,
	ssh.VDISCARD: 13,
	ssh.VWERASE:  14,
	ssh.VLNEXT:   15,
	ssh.VEOL2:    16,
	ssh.IGNPAR:   0000004,
	ssh.PARMRK:   0000010,
	ssh.INPCK:    0000020,
	ssh.ISTRIP:   0000040,
	ssh.INLCR:    0000100,
	ssh.IGNCR:    0000200,
	ssh.ICRNL:    0000400,
	ssh.IUCLC:    0001000,
	ssh.IXON:     0002000,
	ssh.IXANY:    0004000,
	ssh.IXOFF:    0010000,
	ssh.IMAXBEL:  0020000,
	ssh.OPOST:    0000001,
	ssh.PARENB:   0000400,
	ssh.OLCUC:    0000002,
	ssh.ONLCR:    0000004,
	ssh.OCRNL:    0000010,
	ssh.ONOCR:    0000020,
	ssh.ONLRET:   0000040,
	ssh.CS7:      0000040,
	ssh.CS8:      0000060,
	ssh.PARODD:   0001000,
	ssh.ISIG:     0000001,
	ssh.ICANON:   0000002,
	ssh.XCASE:    0000004,
	ssh.ECHO:     0000010,
	ssh.ECHOE:    0000020,
	ssh.ECHOK:    0000040,
	ssh.ECHONL:   0000100,
	ssh.NOFLSH:   0000200,
	ssh.TOSTOP:   0000400,
	ssh.ECHOCTL:  0001000,
	ssh.ECHOKE:   0004000,
	ssh.PENDIN:   0040000,
	ssh.IEXTEN:   0100000,
	/*
		ssh.VFLUSH:   0,
		ssh.VSWTCH:   0,
		ssh.VSTATUS:  0,
		ssh.VDSUSP:   0,
	*/
}
